FlightSim Commander Version 9.6 for P3D v4

0

The numerous users of FlightSim Commander will be able to use their favorite flight planner and moving map with P3D v4, thanks to the latest update.

You can upgrade from version 9.6 revision 8 to the version 9.6 revision 9 with just the necessary files found here. And you will also need FSUIPC 5 to let the tool communicated with P3D v4.

Comments are closed.

This website stores some user agent data (cookies). These data are used to provide a more personalized experience and to track your whereabouts around our website in compliance with the European General Data Protection Regulation. If you decide to opt-out of any future tracking, a cookie will be set up in your browser to remember this choice for one year. I Agree, Deny
638